Pepvote Support Center

Create Sponsor

POST
/voting-events/{idOrCode}/sponsors

Authorization

bearerAuth
AuthorizationBearer <token>

A key in the form pepvote_api_ followed by 32 hexadecimal characters.

In: header

Header Parameters

Idempotency-Keystring

Optional retry key. First successful response is stored for 24 hours.

  • Length: up to 255 characters
User-Agentstringrequired

Name and version of the calling integration. Required on every request.

Path Parameters

idOrCodestringrequired

Voting event ID or code.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

namestringrequired

Sponsor name.

  • Length: 1 to 200 characters
infostring

Short blurb shown with the sponsor.

  • Length: up to 2000 characters
contactEmailstring

Contact email.

  • Length: up to 320 characters
pinnedSponsorNumberinteger

Position in the sponsor strip, starting at 1.

  • Minimum value: 1

Response Body

application/json

curl -X POST "https://example.com/voting-events/string/sponsors" \  -H "User-Agent: my-app/1.0" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "data": {
    "id": "string",
    "votingEventId": "string",
    "name": "string",
    "info": "string",
    "contactEmail": "string",
    "pinnedSponsorNumber": 0,
    "logoUrl": "string",
    "createdAt": 0
  }
}
Was this helpful?

Last updated September 6, 2026